camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CAMEL-1530) Upgrade camel-http to use httpclient 4.0
Date Tue, 22 Dec 2009 13:21:40 GMT

    [ https://issues.apache.org/activemq/browse/CAMEL-1530?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=56613#action_56613
] 

Claus Ibsen commented on CAMEL-1530:
------------------------------------

@Oleg

Thanks for your pointers. I am just commenting on Christian as he is doing the work with upgrading
to http client 4.0.


I did use 1 hour on an upgrade attempt like 6 months ago. From that work I recall the following:
The API in 4.0 is changed a bit / a fair bit AFAIR when I took a initial stab at upgrading
the camel-http to 4.0. So I turned back at that time.
So I wonder if backwards comparability is really preserved anyway?


Anyway I think having unfriendly DI configuration is a _major_ mistake as a lot of users use
it to configure and wire their apps.


> Upgrade camel-http to use httpclient 4.0
> ----------------------------------------
>
>                 Key: CAMEL-1530
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-1530
>             Project: Apache Camel
>          Issue Type: Improvement
>          Components: camel-http
>    Affects Versions: 2.0-M1
>            Reporter: Claus Ibsen
>            Assignee: Christian Mueller
>             Fix For: 2.2.0
>
>
> Upgrading httpclient from 3.1 to 4.0 requires changes in the camel-http code as the API
has change quite a lot.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message